- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cEndModuleException Class Reference
[Internal classes]

`#include <cexception.h>`

Inheritance diagram for cEndModuleException:

List of all members.

## Detailed Description

This exception is only thrown from cModule::end(), and from deleteModule() if the current module is to be deleted, in order to exit that module immediately.

## Public Member Functions
| cEndModuleException (bool moduleToBeDeleted=false)
bool | moduleToBeDeleted ()

## Constructor & Destructor Documentation

cEndModuleException::cEndModuleException | ( | bool | moduleToBeDeleted = `false` | ) | `[inline]`

| Constructor. If the bool argument is true, the module should be deleted.

## Member Function Documentation

bool cEndModuleException::moduleToBeDeleted | ( |  | ) | `[inline]`

| If true, the module should be deleted.

The documentation for this class was generated from the following file:

- cexception.h